Remove my_bool typedef workaround

Bug #1863026 reported by Andreas Hasenack on 2020-02-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
argus-clients (Ubuntu)
Undecided
Unassigned
asterisk (Ubuntu)
Undecided
Unassigned
clickhouse (Ubuntu)
Undecided
Unassigned
cppdb (Ubuntu)
Undecided
Unassigned
dballe (Ubuntu)
Undecided
Unassigned
gambas3 (Ubuntu)
Undecided
Unassigned
gearmand (Ubuntu)
Undecided
Unassigned
gerbera (Ubuntu)
Undecided
Unassigned
gnokii (Ubuntu)
Undecided
Unassigned
gnunet (Ubuntu)
Undecided
Unassigned
hoel (Ubuntu)
Undecided
Unassigned
isc-kea (Ubuntu)
Undecided
Unassigned
jabberd2 (Ubuntu)
Undecided
Unassigned
kannel (Ubuntu)
Undecided
Unassigned
libgda5 (Ubuntu)
Undecided
Unassigned
libodb-mysql (Ubuntu)
Undecided
Unassigned
lyricue (Ubuntu)
Undecided
Unassigned
motion (Ubuntu)
Undecided
Unassigned
mysql-8.0 (Ubuntu)
High
Andreas Hasenack
mysql-ocaml (Ubuntu)
Undecided
Unassigned
mysqltcl (Ubuntu)
Undecided
Unassigned
opendnssec (Ubuntu)
Undecided
Unassigned
opensmtpd-extras (Ubuntu)
Undecided
Unassigned
orthanc-mysql (Ubuntu)
Undecided
Unassigned
pike8.0 (Ubuntu)
Undecided
Unassigned
pvpgn (Ubuntu)
Undecided
Unassigned
qt4-x11 (Ubuntu)
Undecided
Unassigned
redland (Ubuntu)
Undecided
Unassigned
tango (Ubuntu)
Undecided
Unassigned
tntdb (Ubuntu)
Undecided
Unassigned
voms-mysql-plugin (Ubuntu)
Undecided
Unassigned
vtk7 (Ubuntu)
Undecided
Unassigned
w1retap (Ubuntu)
Undecided
Unassigned
zoneminder (Ubuntu)
Undecided
Unassigned

Bug Description

During the previous development cycle, when mysql 8 was introduced, too many reverse deps failed due to the my_bool removal. It was then decided to put that back in to let the reverse dependencies build again.

Now we should try to drop it one more time, and instead fix the reverse dependencies. Either by updating them, if upstream fixed it, or reintroducing only this my_bool typedef in the reverse dependency itself, instead of in mysql as it's now.

This bug will track these tasks:
- remove my_bool workaround from Ubuntu's mysql 8 package
- fix the build of the reverse dependencies, each one a task of this bug.

PPA with test builds: https://launchpad.net/~ahasenack/+archive/ubuntu/mysql8-my-bool-removal

description: updated
Changed in argus-clients (Ubuntu):
status: New → In Progress
Changed in asterisk (Ubuntu):
status: New → In Progress
Changed in gambas3 (Ubuntu):
status: New → In Progress
Changed in clickhouse (Ubuntu):
status: New → In Progress
Changed in cppdb (Ubuntu):
status: New → In Progress
Changed in dballe (Ubuntu):
status: New → In Progress
Changed in gearmand (Ubuntu):
status: New → In Progress
Changed in gerbera (Ubuntu):
status: New → In Progress
Changed in gnokii (Ubuntu):
status: New → In Progress
Changed in hoel (Ubuntu):
status: New → In Progress
Changed in jabberd2 (Ubuntu):
status: New → In Progress
Changed in kannel (Ubuntu):
status: New → In Progress
Changed in libgda5 (Ubuntu):
status: New → In Progress
Changed in libodb-mysql (Ubuntu):
status: New → In Progress
Changed in isc-kea (Ubuntu):
status: New → In Progress
Changed in lyricue (Ubuntu):
status: New → In Progress
Changed in motion (Ubuntu):
status: New → In Progress
Changed in mysql-ocaml (Ubuntu):
status: New → In Progress
Changed in mysqltcl (Ubuntu):
status: New → In Progress
Changed in opendnssec (Ubuntu):
status: New → In Progress
Changed in opensmtpd-extras (Ubuntu):
status: New → In Progress
Changed in orthanc-mysql (Ubuntu):
status: New → In Progress
Changed in pike8.0 (Ubuntu):
status: New → In Progress
Changed in pvpgn (Ubuntu):
status: New → In Progress
Changed in qt4-x11 (Ubuntu):
status: New → In Progress
Changed in redland (Ubuntu):
status: New → In Progress
Changed in tango (Ubuntu):
status: New → In Progress
Changed in tntdb (Ubuntu):
status: New → In Progress
Changed in voms-mysql-plugin (Ubuntu):
status: New → In Progress
Changed in vtk7 (Ubuntu):
status: New → In Progress
Changed in w1retap (Ubuntu):
status: New → In Progress
Changed in zoneminder (Ubuntu):
status: New → In Progress
Changed in gnunet (Ubuntu):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package argus-clients - 1:3.0.8.2-5ubuntu1

---------------
argus-clients (1:3.0.8.2-5ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Wed, 12 Feb 2020 19:47:54 -0300

Changed in argus-clients (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package asterisk - 1:16.2.1~dfsg-2ubuntu1

---------------
asterisk (1:16.2.1~dfsg-2ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Wed, 12 Feb 2020 19:54:27 -0300

Changed in asterisk (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dballe - 8.6-1ubuntu1

---------------
dballe (8.6-1ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Wed, 12 Feb 2020 20:11:06 -0300

Changed in dballe (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gambas3 - 3.14.3-1ubuntu1

---------------
gambas3 (3.14.3-1ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Wed, 12 Feb 2020 19:31:06 -0300

Changed in gambas3 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cppdb - 0.3.1+dfsg-8ubuntu2

---------------
cppdb (0.3.1+dfsg-8ubuntu2) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Wed, 12 Feb 2020 20:06:29 -0300

Changed in cppdb (Ubuntu):
status: In Progress → Fix Released

I did work on vtk7 because it failed (I syncd the Debian version).

Please forward the patch...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vtk7 - 7.1.1+dfsg2-2ubuntu1

---------------
vtk7 (7.1.1+dfsg2-2ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Gianfranco Costamagna <email address hidden> Wed, 19 Feb 2020 21:46:28 +0100

Changed in vtk7 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gerbera - 1.1.0+dfsg-3ubuntu1

---------------
gerbera (1.1.0+dfsg-3ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Wed, 12 Feb 2020 20:36:24 -0300

Changed in gerbera (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jabberd2 - 2.7.0-1ubuntu1

---------------
jabberd2 (2.7.0-1ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Thu, 13 Feb 2020 13:24:51 -0300

Changed in jabberd2 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnunet - 0.10.1-5.1ubuntu1

---------------
gnunet (0.10.1-5.1ubuntu1) focal; urgency=medium

  * d/control: request python2 explicitly, this doesn't work with py3
    yet.
  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Fri, 14 Feb 2020 19:49:34 -0300

Changed in gnunet (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnokii - 0.6.31+dfsg-2ubuntu10

---------------
gnokii (0.6.31+dfsg-2ubuntu10) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Thu, 13 Feb 2020 11:31:25 -0300

Changed in gnokii (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hoel - 1.4.8-4ubuntu1

---------------
hoel (1.4.8-4ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Thu, 13 Feb 2020 13:11:18 -0300

Changed in hoel (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gearmand - 1.1.18+ds-3.1ubuntu1

---------------
gearmand (1.1.18+ds-3.1ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Thu, 20 Feb 2020 20:02:18 -0300

Changed in gearmand (Ubuntu):
status: In Progress → Fix Released

mysql-ocaml patched.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-8.0 - 8.0.19-0ubuntu4

---------------
mysql-8.0 (8.0.19-0ubuntu4) focal; urgency=medium

  * d/p/my_bool.patch: drop the my_bool workaround typedef
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Mon, 17 Feb 2020 11:04:18 -0300

Changed in mysql-8.0 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kannel - 1.4.5-3ubuntu2

---------------
kannel (1.4.5-3ubuntu2) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Thu, 13 Feb 2020 13:28:28 -0300

Changed in kannel (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package motion - 4.2.2-1ubuntu1

---------------
motion (4.2.2-1ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Fri, 14 Feb 2020 11:25:48 -0300

Changed in motion (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package isc-kea - 1.6.1-0ubuntu2

---------------
isc-kea (1.6.1-0ubuntu2) focal; urgency=medium

  * d/p/mysql8-mybool-ubuntu.patch: drop patch as we removed the
    workaround from mysql-8.0 itself (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Fri, 21 Feb 2020 09:28:27 -0300

Changed in isc-kea (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libodb-mysql - 2.4.0-5ubuntu2

---------------
libodb-mysql (2.4.0-5ubuntu2) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Thu, 13 Feb 2020 13:53:04 -0300

Changed in libodb-mysql (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lyricue - 4.0.13.isreally.4.0.12-0ubuntu4

---------------
lyricue (4.0.13.isreally.4.0.12-0ubuntu4) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Fri, 14 Feb 2020 11:22:08 -0300

Changed in lyricue (Ubuntu):
status: In Progress → Fix Released

This bug was fixed in the package libgda5 - 5.2.9-2ubuntu1

---------------
libgda5 (5.2.9-2ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Thu, 13 Feb 2020 13:41:43 -0300

Changed in libgda5 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pvpgn - 1.8.5-2.1ubuntu1

---------------
pvpgn (1.8.5-2.1ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Fri, 14 Feb 2020 15:02:47 -0300

Changed in pvpgn (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pike8.0 - 8.0.702-1ubuntu1

---------------
pike8.0 (8.0.702-1ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Fri, 14 Feb 2020 15:13:41 -0300

Changed in pike8.0 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package voms-mysql-plugin - 3.1.7-2ubuntu1

---------------
voms-mysql-plugin (3.1.7-2ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <email address hidden> Fri, 14 Feb 2020 15:28:35 -0300

Changed in voms-mysql-plugin (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers